//DokumentAufsplitten_216d.js
// 09.01.15 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//DESCRIPTION:Ein Dokument in mehrere Teile aufsplitten

// vorbeugenderweise das Anzeigen von Dialogen aktivieren
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

// prfen, ob ein Dokument geffnet ist
if (app.documents.length == 0) {
	alert ("Es ist kein Dokument offen.", "Achtung");
	exit();
}

// den Dokumentpfad speichern
var curDoc = app.documents[0];

// Ordner- und Dateiname ausziehen
try {
	var docFol     = curDoc.filePath;
	var docName    = curDoc.name;
	var folName    = (curDoc.name.split(".indd"))[0];
	if (docName   == folName) { folName = folName + "_f"; }
	docName        = (docName.split(".indd"))[0];
	var docPath    = curDoc.fullName;
	var totPages   = (curDoc.pages.length)*1;
	var totSpreads = (curDoc.spreads.length)*1;
	var firstPage  = (curDoc.pages[0].name);
}
catch (e) {
	alert ("Das Dokument speichern.", "Achtung");
	exit();
}

// die Funktion aufrufen, welche die gespeicherten Vorgaben einliest
var allPrefs  = getPrefs();
if (allPrefs != "") {
	var prefVal = allPrefs.split("\n");
	var rVal    = prefVal[0];
	var rb01    = 1;
	var rb02    = rb03 = rb04 = rb05 = rb06 = rb07 = rb08 = rb09 = rb10 = rb11 = 0;
	if (rVal   == "1") {
		rb01 = 0;
		rb02 = 1;
	}
	else if (rVal == "2") {
		rb01 = 0;
		rb03 = 1;
	}
	else if (rVal == "3") {
		rb01 = 0;
		rb04 = 1;
	}
	else if (rVal == "4") {
		rb01 = 0;
		rb05 = 1;
	}
	else if (rVal == "5") {
		rb01 = 0;
		rb06 = 1;
	}
	else if (rVal == "6") {
		rb01 = 0;
		rb07 = 1;
	}
	else if (rVal == "7") {
		rb01 = 0;
		rb08 = 1;
	}
	else if (rVal == "8") {
		rb01 = 0;
		rb09 = 1;
	}
	pNum0 = prefVal[1];      // Startseiten
	pNum1 = prefVal[2];      // Anzahl Teildokumente
	pNum2 = prefVal[3];      // Anzahl Druckbgen pro Teil
	pNum4 = prefVal[4];      // Seitenbereiche herauslsen
	pName = (prefVal[5]);    // Absatzformat (Kapitelanfang)
	oName = (prefVal[6]);    // Objektstil
	pNum7 = prefVal[7];      // Skriptbezeichnung
	stNr  = (prefVal[8])*1;  // Startnummer der Ordnungszahlen
	oSt   = prefVal[9];      // Seitennummern statt Ordnungszahlen
	if (oSt  == "true") { oSt = true; } else { oSt = false; }
	bSt   = prefVal[10];     // Bundbergreifende Objekte teilen
	if (bSt  == "true") { bSt = true; } else { bSt = false; }
	var nVal  = prefVal[11];
	var rb10  = 1;
	var rb11  = 0;
	if (nVal == "1") {
		rb10 = 0;
		rb11 = 1;
	}
}
else {
	// wenn die Prferenzen-Datei nicht gefunden wurde, 
	// auf die folgenden Vorgabenwerte zurckgreifen
	rb01  =  1;  // Trennkriterium
	rb02  =  0;
	rb03  =  0;
	rb04  =  0;
	rb05  =  0;
	rb06  =  0;
	rb07  =  0;
	rb08  =  0;
	rb09  =  0;
	rb10  =  1;
	rb11  =  0;
	pNum0 = "";  // Startseiten
	pNum1 = "";  // Anzahl Teildokumente
	pNum2 = "";  // Anzahl Druckbgen pro Teil
	pNum4 = "";  // Seitenbereiche herauslsen
	pName =  0;  // Absatzformat (Kapitelanfang)
	oName =  0;  // Objektstil
	pNum7 = "";  // Skriptbezeichnung
	stNr  =  1;  // Startnummer der Ordnungszahlen
	oSt   =  0;  // Seitennummern statt Ordnungszahlen
	bSt   =  0;  // Bundbergreifende Objekte teilen
}

// den Dialog zum Entscheiden anzeigen
var userDec = askUser1();
// je nach Entscheid die Vorbereitungen treffen
if (userDec == 5) {
	// die Liste der Absatzformatnamen aufstellen
	var allParaStyles = curDoc.paragraphStyles;
	var allStyleNames = new Array ();
	// die Namen auflisten (ohne die beiden ersten Elemente)
	for (var i=2; i<allParaStyles.length; i++) {
		var curName = allParaStyles[i].name;
		// und Duplikate ausschliessen
		var notFound = true;
		for (var j=0; j<allStyleNames.length; j++) {
			if (curName == allStyleNames[j]) {
				notFound = false;
				break;
			}
		}
		if (notFound == true) {
			allStyleNames.push(curName);
		}
	}
	nDlogPStyles = allStyleNames.length;
	if (nDlogPStyles != 0) {
		// die Liste sortieren
		allStyleNames.sort();
		// das Trennformat herausfinden
		sepIndex = 0;
		for (var i=0; i<nDlogPStyles; i++) {
			if (allStyleNames[i] == pName) {
				sepIndex = i;
				break;
			}
		}
	}
	else {
		alert ("Kein Absatzformat vorhanden.", "Stop");
		exit();
	}
}
else if (userDec == 6) {
	// die Liste der Objektstilnamen aufstellen
	var allObjectNames = curDoc.objectStyles.everyItem().name;
	// nur die benutzerdefinierten in die Liste aufnehmen
	var nStyles = allObjectNames.length;
	persObjStyles = new Array ();
	for (var i=0; i<nStyles; i++) {
		var curStyle = allObjectNames[i];
		if (curStyle.indexOf("[") == -1) {
			persObjStyles.push(curStyle);
		}
	}
	nDlogOStyles = persObjStyles.length;
	if (nDlogOStyles != 0) {
		persObjStyles.sort();
		// das Trennformat herausfinden
		objIndex = 0;
		for (var i=0; i<nDlogOStyles; i++) {
			if (persObjStyles[i] == oName) {
				objIndex = i;
				break;
			}
		}
	}
	else {
		alert ("Kein benutzerdefinierter Objektstil vorhanden.", "Stop");
		exit();
	}
}

// den Dialog zum Eingeben der Anzahl Seiten usw. anzeigen
var anArray = askUser2(userDec);
var rDec  = anArray[0];  // Trennkriterium
var pVal0 = anArray[1];  // Startseiten
var pVal1 = anArray[2];  // Anzahl Teildokumente
var pVal2 = anArray[3];  // Anzahl Druckbgen pro Teil
var pVal4 = anArray[4];  // Seitenbereiche herauslsen
var pName = anArray[5];  // Absatzformat (Kapitelanfang)
var oName = anArray[6];  // Objektstil
var pVal6 = anArray[7];  // Skriptbezeichnung
var sNbr  = anArray[8];  // Startnummer der Ordnungszahlen
var oDec  = anArray[9];  // Seitennummern statt Ordnungszahlen
var bDec  = anArray[10]; // Bundbergreifende Objekte teilen
var nrDec = anArray[11]; // Original-Seitennummer oder Seite 1

// das Anzeigen von Dialogen unterbinden
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.neverInteract;

// eventuelle Abschnittsprefizes entfernen
if (rb01 == 1 || rb05 == 1 || rb06 == 1 || rb07 == 1 || rb08 == 1 || rb09 == 1) {
	for (var i=0; i<curDoc.sections.length; i++) {
		if (curDoc.sections[i].sectionPrefix != "") {
			curDoc.sections[i].sectionPrefix = "";
		}
	}
}

// das Dokument speichern
curDoc.save();

// "Neue Dokumentseiten-Anordnung zulassen" speichern
var aPS = curDoc.documentPreferences.allowPageShuffle;

// den Basisnamen vorbereiten
var baseName = docName + "_";

// den Ordner fr die neuen Dateien vorbereiten
var fo = Folder(docFol + "/" + folName).exists; 
if (fo == false) {
	new Folder(docFol + "/" + folName).create();
}
var newFol = docFol + "/" + folName + "/";

// wenn "Startseiten" gewnscht ist ... ///////////////////////////////////////////////////////////
if (rDec == 0) {
	if (pVal0 == "") {
		alert ("Startseiten: Keine Angabe.", "Stop");
		exit();
	}
	// die Liste der Startnummern erstellen
	var startPagesList = new Array ();
	var curNum = "";
	for (var i=0; i<pVal0.length; i++) {
		var curChar = pVal0[i];
		if ("0123456789".indexOf(curChar) == -1) {
			if (curNum != "") {
				if (curNum != firstPage) {
					startPagesList.push(curNum);
				}
				var curNum = "";
			}
		}
		else {
			curNum = curNum + curChar;
		}
	}
	if (curNum != "") {
		startPagesList.push(curNum);
	}
	// prfen, ob die gewnschten Seiten existieren
	var startSpreadInd = new Array ();
	var endSpreadInd   = new Array ();
	var nNum = startPagesList.length;
	var allPageNames   = curDoc.pages.everyItem().name;
	var endPagesList   = new Array ();
	var spineSpreadInd = new Array ();
	for (var i=0; i<nNum; i++) {
		var okay = false;
		var actNum = startPagesList[i];
		for (var k=0; k<allPageNames.length; k++) {
			if (actNum == allPageNames[k]) {
				preNum = allPageNames[k-1];
				okay = true;
				break;
			}
		}
		if (!okay) {
			alert ("Die Seite " + actNum + " ist nicht vorhanden.", "Stop");
			exit();
		}
		// den Druckbogenindex der Startseiten auflisten
		startSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		// die Endseiten auflisten
		endPagesList.push(preNum);
		// den Druckbogenindex der Endseiten auflisten
		endSpreadInd.push(curDoc.pages.item(preNum).parent.index);
		// den Index von bundbergreifenden Objekten auflisten
		if ((curDoc.pages.itemByName(actNum).side)*1 == 1919382632) {
			spineSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		}
	}
	var nParts = startSpreadInd.length;
	
	// fhrende Null notwendig?
	var zeroPad = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// die Anzahl Ziffern feststellen
	var pgDigits = startPagesList[nNum-1].length;
	var pageOne = ("0000" + firstPage).slice(-pgDigits);
	
	// Numerierung mit fhrender Null (oder ohne)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else { // wenn Seitennummer ...
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	
	if (bDec == true) {
		var fRes = splitFrames(spineSpreadInd, docFol, docName);
		rO = fRes[0];
		tmpPath = fRes[1];
	}
	
	// Druckbgen lschen (vom zweiten Abschnitt bis zum Ende des Dokuments)
	if (startSpreadInd[0] == endSpreadInd[0]) {
		curDoc.spreads.itemByRange(startSpreadInd[0]+1, -1).remove();
		curDoc.pages.itemByName(startPagesList[0]).remove();
	}
	else {
		curDoc.spreads.itemByRange(startSpreadInd[0], -1).remove();
	}
	
	// die Funktion aufrufen, welche bundbergreifende Objekte auf der letzten Seite 
	// (falls es eine linke ist) lscht (diese Objekte werden beim Teilen wieder sichtbar)
	if (bDec == true) {
		var nPg = app.activeDocument.pages.length;
		if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
			delMasterFramesEnd();
		}
	}
	// den Linealursprung wiederherstellen
	if (bDec == true) {
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// das Dokument unter dem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	
	// eine Schleife, welche sich um die nachfolgenden Abschnitte kmmert
	for (var i=0; i<(nParts-1); i++) {
		// das temporre oder das Originaldokument ffnen
		if (bDec == true) {
			app.open(File(tmpPath));
		}
		else {
			app.open(File(docPath));
		}
			
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// Druckbgen entfernen (vom Ende des aktuellen Abschnitts bis zum Ende des Dokuments)
		if (startSpreadInd[i+1] == endSpreadInd[i+1]) {
			curDoc.spreads.itemByRange(startSpreadInd[i+1]+1, -1).remove();
			curDoc.pages.itemByName(startPagesList[i+1]).remove();
		}
		else {
			curDoc.spreads.itemByRange(startSpreadInd[i+1], -1).remove();
		}
		
		// Druckbgen entfernen (vom Anfang bis zum Beginn des zu erhaltenden Abschnitts)
		if (startSpreadInd[i] == endSpreadInd[i]) {
			try {
				curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
			}
			catch (e) {
			}
			curDoc.pages[0].remove();
		}
		else {
			curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
		}
		
		// den Abschnittsanfang ndern
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = true;
		}
		// Numerierung mit fhrender Null (oder ohne)
		if (zeroPad == "") {
			nbr = (i+2)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+2)+(sNbr-1))).slice(-stDigits);
		}
		// wenn Seitennummer ...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// den Pfad vorbereiten
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		// die Funktionen aufrufen, welche bundbergreifende Objekte auf der ersten Seite 
		// (falls es eine rechte ist) und auf der letzten Seite (falls es eine linke ist) lscht 
		// (diese Objekte werden beim Teilen wieder sichtbar)
		if (bDec == true) {
			if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
				delMasterFramesStart();
			}
			var nPg = app.activeDocument.pages.length;
			if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
				delMasterFramesEnd();
			}
			// den Linealursprung wiederherstellen
			if (rO != 1380143984) {
				app.activeDocument.viewPreferences.rulerOrigin = rO;
			}
		}
		// das Dokument unter dem neuen Namen speichern
		app.activeDocument.save(new File(newPath));
		// das Dokument schliessen
		app.activeDocument.close(SaveOptions.no);
	}
	// das Dokument ein letztes Mal ffnen und alle Druckbgen (ausser jene des letzen Abschnittes) entfernen
	if (bDec == true) {
		app.open(File(tmpPath));
	}
	else {
		app.open(File(docPath));
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = false;
	}
	if (startSpreadInd[i] == endSpreadInd[i]) {
		if (startSpreadInd[i] != 0) {
			curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
		}
		curDoc.pages[0].remove();
	}
	else {
		curDoc.spreads.itemByRange(0, startSpreadInd[i]-1, -1).remove();
	}
	curDoc.sections[0].continueNumbering = false;
	curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
	if (zeroPad == "") {
		nbr = (i+2)+(sNbr-1);
	}
	else {
		nbr = (zeroPad + ((i+2)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	if (bDec == true) {
		if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
			delMasterFramesStart();
		}
		// den Linealursprung wiederherstellen
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = true;
	}
	// das Dokument unter dem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	// wenn bundbergreifedes Teilen aktiviert war
	if (bDec == true) {
		// versuchen, das temporre Dokument zu lschen
		try {
			File(tmpPath).remove();
		}
		catch (e) {
		}
	}
}
// wenn "Anzahl Teildokumente" gewhlt wurde ... //////////////////////////////////////////////////
else if (rDec == 1) {
	var curNum = new Array ();
	for (var i=0; i<pVal1.length; i++) {
		var curChar = pVal1[i];
		if ("0123456789".indexOf(curChar) == -1) {
			if (curNum.length != 0) {
				if (curChar == " ") {
					break;
				}
			}
		}
		else {
			curNum.push(curChar);
		}
	}
	if (curNum.length == 0) {
		alert ("Anzahl Teildokumente: Keine Angabe.", "Stop");
		exit();
	}
	else {
		curNum = (curNum.join(""))*1;
	}
	if (curNum > totSpreads) {
		alert ("Die Anzahl Teildokumente ist zu gross.", "Stop");
		exit();
	}
	if ((totSpreads%curNum) == 0) {
		nSpreads = (totSpreads/curNum);
		// die Anzahl Abschnitte
		var nParts = curNum;
		var spreadNums = new Array ();
		for (var i=0; i<curNum; i++) {
			spreadNums.push(nSpreads);
		}
		// die Seitenzahlen fr die Startseiten ermitteln
		var startPagesList = new Array ("");
		for (var i=1; i<nParts; i++) {
			var curFirst = (curDoc.spreads[nSpreads*i].pages[0].name)*1;
			startPagesList.push(curFirst);
		}
	}
	else {
		var curSpreadNum = totSpreads;
		var spreadNums = new Array ();
		for (var i=0; i<curNum; i++) {
			if ((curSpreadNum%(curNum-i)) != 0) {
				nSpreads = Math.ceil(curSpreadNum/(curNum-i));
				spreadNums.push(nSpreads);
			}
			else {
				nSpreads = Math.floor(curSpreadNum/(curNum-i));
				spreadNums.push(nSpreads);
			}
			curSpreadNum = curSpreadNum-nSpreads;
		}
		// die Seitenzahlen fr die Startseiten ermitteln
		var startPagesList = new Array ("");
		var actSpread = 0;
		for (var i=0; i<(spreadNums.length)-1; i++) {
			actSpread = actSpread + (spreadNums[i]*1);
			var curFirst = (curDoc.spreads[actSpread].pages[0].name)*1;
			startPagesList.push(curFirst);
		}
		nParts = startPagesList.length;
	}
	nNum = startPagesList.length;
	// die Liste mit den Abschnitts-Start-Druckbgen-Nummern erstellen
	var curVal = 0;
	var firstSpr = new Array ();
	firstSpr.push(curVal);
	for (var i=0; i<(spreadNums.length)-1; i++) {
		curVal = curVal + spreadNums[i]*1;
		firstSpr.push(curVal);
	}
	
	// Druckbgen lschen (vom Ende des aktuellen Abschnitts bis zum Ende des Dokuments)
	curDoc.spreads.itemByRange(firstSpr[1], -1).remove();
	
	// fhrende Null notwendig?
	var zeroPad  = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// die Anzahl Ziffern feststellen
	var pgDigits = ("" + startPagesList[nNum-1]).length;
	var pageOne  = ("0000" + firstPage).slice(-pgDigits);
	
	// Numerierung mit fhrender Null (oder ohne)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	// das Dokument unter einem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	
	// eine Schleife, welche sich um die nachfolgenden Abschnitte kmmert
	for (var i=1; i<(nParts-1); i++) {
		// das Originaldokument ffnen
		app.open(File(docPath));
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// Druckbgen entfernen (vom Ende des aktuellen Abschnitts bis zum Ende des Dokuments)
		curDoc.spreads.itemByRange(firstSpr[i+1], -1).remove();
		// den Abschnittsanfang ndern
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i];
		// Druckbgen entfernen (vom Anfang bis zum Beginn des zu erhaltenden Abschnitts)
		curDoc.spreads.itemByRange(0, firstSpr[i]-1).remove();
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = true;
		}
		// Numerierung mit fhrender Null (oder ohne)
		if (zeroPad == "") {
			nbr = (i+1)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
		}
		// wenn Seitennummer ...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// den Pfad vorbereiten
		if (oDec == 0) {
			var newPath = newFol + "/" + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + "/" + baseName + pgNbr + ".indd";
		}
		// das Dokument unter dem neuen Namen speichern
		app.activeDocument.save(new File(newPath));
		// das Dokument schliessen
		app.activeDocument.close(SaveOptions.no);
	}
	// das Dokument ein letztes Mal ffnen und alle Druckbgen ausser jene des letzen Abschnittes entfernen
	app.open(File(docPath));
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = false;
	}
	curDoc.spreads.itemByRange(0, firstSpr[i]-1).remove();
	curDoc.sections[0].continueNumbering = false;
	curDoc.sections[0].pageNumberStart = startPagesList[i];
	
	if (zeroPad == "") {
		nbr = (i+1)+(sNbr-1);
	}
	else {
		nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = true;
	}
	app.activeDocument.save(new File(newPath));
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
}
// wenn "Anzahl Druckbgen pro Teil" gewhlt wurde ... ////////////////////////////////////////////
else if (rDec == 2) {
	var curNum = new Array ();
	for (var i=0; i<pVal2.length; i++) {
		var curChar = pVal2[i];
		if ("0123456789".indexOf(curChar) == -1) {
			if (curNum.length != 0) {
				if (curChar == " ") {
					break;
				}
			}
		}
		else {
			curNum.push(curChar);
		}
	}
	if (curNum.length == 0) {
		alert ("Anzahl Druckbgen: Keine Angabe.", "Stop");
		exit();
	}
	else {
		curNum = (curNum.join(""))*1;
	}
	if (curNum > totSpreads) {
		alert ("Die Anzahl Druckbgen ist zu gross.", "Stop");
		exit();
	}
	nSpreads = curNum;
	// die Anzahl Abschnitte ausrechnen
	if (totSpreads%nSpreads != 0) {
		var nParts = Math.floor((totSpreads/nSpreads))+1;
	}
	else {
		var nParts = Math.floor((totSpreads/nSpreads));
	}
	
	// die Seitenzahlen fr die Startseiten ermitteln
	var startPagesList = new Array ("");
	for (var i=1; i<nParts; i++) {
		var curFirst = (curDoc.spreads[nSpreads*i].pages[0].name)*1;
		startPagesList.push(curFirst);
	}
	nNum = startPagesList.length;
	
	// Druckbgen lschen (vom Ende des aktuellen Abschnitts bis zum Ende des Dokuments)
	curDoc.spreads.itemByRange(nSpreads, -1).remove();
	
	// fhrende Null notwendig?
	var zeroPad = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// die Anzahl Ziffern feststellen
	var pgDigits = ("" + startPagesList[nNum-1]).length;
	var pageOne  = ("0000" + firstPage).slice(-pgDigits);
	
	// Numerierung mit fhrender Null (oder ohne)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else { // wenn Seitennummer ...
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	// das Dokument unter einem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	
	// eine Schleife, welche sich um die nachfolgenden Abschnitte kmmert
	for (var i=1; i<(nParts-1); i++) {
		// das Originaldokument ffnen
		app.open(File(docPath));
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// Druckbgen entfernen (vom Anfang bis zum Beginn des zu erhaltenden Abschnitts)
		curDoc.spreads.itemByRange(0, (nSpreads*i)-1).remove();
		// den Abschnittsanfang ndern
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i];
		// Druckbgen entfernen (vom Ende des aktuellen Abschnitts bis zum Ende des Dokuments)
		curDoc.spreads.itemByRange(nSpreads, -1).remove();
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = true;
		}
		// Numerierung mit fhrender Null (oder ohne)
		if (zeroPad == "") {
			nbr = (i+1)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
		}
		// wenn Seitennummer ...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// den Pfad vorbereiten
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		// das Dokument unter dem neuen Namen speichern
		app.activeDocument.save(new File(newPath));
		// das Dokument schliessen
		app.activeDocument.close(SaveOptions.no);
	}
	// das Dokument ein letztes Mal ffnen und alle Druckbgen ausser jene des letzen Abschnittes entfernen
	app.open(File(docPath));
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = false;
	}
	curDoc.spreads.itemByRange(0, (nSpreads*i)-1).remove();
	curDoc.sections[0].continueNumbering = false;
	curDoc.sections[0].pageNumberStart = startPagesList[i];
	
	if (zeroPad == "") {
		nbr = (i+1)+(sNbr-1);
	}
	else {
		nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = true;
	}
	// das Dokument unter dem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
}

// wenn das Dokument in Einzelseiten aufgesplittet werden soll ... ////////////////////////////////
else if (rDec == 3) {
	// die Seitenzahlen ermitteln
	var startPagesList = curDoc.pages.everyItem().name;
	var nParts = startPagesList.length;
	var endSpreadInd = new Array ();
	for (var i=0; i<curDoc.spreads.length; i++) {
		endSpreadInd.push(i);
	}
	// wenn bundbergreifende Objekte geteilt werden sollen
	if (bDec == true) {
		var fRes = splitFrames(endSpreadInd, docFol, docName);
		rO = fRes[0];
		tmpPath = fRes[1];
	}
	
	// Seiten lschen (von der zweiten Seite bis zum Ende des Dokuments)
	curDoc.pages.itemByRange(1, -1).remove();
	
	// den Abschnittsanfang ndern
	if (curDoc.pages[0].name != "1") {
		curDoc.sections[0].continueNumbering = false;
		if (nrDec == 0) {
			curDoc.sections[0].pageNumberStart = startPagesList[0]*1;
		}
		else {
			curDoc.sections[0].pageNumberStart = 1;
		}
	}
	
	// Numerierung mit fhrender Null (oder ohne)
	var zeroPad = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// die Anzahl Ziffern feststellen
	var pgDigits = startPagesList[nParts-1].length;
	var pageOne = ("0000" + firstPage).slice(-pgDigits);
	
	// Numerierung mit fhrender Null (oder ohne)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
		
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	if (bDec == true) {
		// wenn linke Seite, dann ein eventuelles Mustervorlagenobjekt lschen
		if ((app.activeDocument.pages[0].side)*1 == 1818653800) {
			delMasterFramesEnd();
		}
		// den Linealursprung wiederherstellen
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// das Dokument unter dem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	
	// eine Schleife, welche die weiteren Seiten als Einzel-Dokumente speichert
	for (var i=1; i<(nParts-1); i++) {
		// das temporre oder das Originaldokument ffnen
		if (bDec == true) {
			app.open(File(tmpPath));
		}
		else {
			app.open(File(docPath));
		}
		// Seiten entfernen (vom Anfang bis vor die aktuelle)
		curDoc.pages.itemByRange(0, i-1).remove();
		// Seiten entfernen (nach der aktuellen bis zum Ende des Dokuments)
		curDoc.pages.itemByRange(1, -1).remove();
		
		// den Abschnittsanfang ndern
		curDoc.sections[0].continueNumbering = false;
		if (nrDec == 0) {
			curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
		}
		else {
			curDoc.sections[0].pageNumberStart = 1;
		}
		
		if (bDec == true) {
			var pgSide = (app.activeDocument.pages[0].side)*1;
			if (pgSide == 1919382632) {
				delMasterFramesStart();
			}
			else if (pgSide == 1818653800) {
				delMasterFramesEnd();
			}
			// den Linealursprung wiederherstellen
			if (rO != 1380143984) {
				app.activeDocument.viewPreferences.rulerOrigin = rO;
			}
		}
		
		// Numerierung mit fhrender Null (oder ohne)
		if (zeroPad == "") {
			nbr = (i+1)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
		}
		// wenn Seitennummer ...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// den Pfad vorbereiten
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		// das Dokument unter dem neuen Namen speichern
		app.activeDocument.save(new File(newPath));
		// das Dokument schliessen
		app.activeDocument.close(SaveOptions.no);
	}
	// das Dokument ein letztes Mal ffnen und alle Seiten (ausser der letzten) entfernen
	if (bDec == true) {
		app.open(File(tmpPath));
	}
	else {
		app.open(File(docPath));
	}
	curDoc.pages.itemByRange(0, i-1).remove();
	
	// den Abschnittsanfang ndern
	curDoc.sections[0].continueNumbering = false;
	if (nrDec == 0) {
		curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
	}
	else {
		curDoc.sections[0].pageNumberStart = 1;
	}
	
	if (bDec == true) {
		if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
			delMasterFramesStart();
		}
		// den Linealursprung wiederherstellen
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	if (zeroPad == "") {
		nbr = i+1;
	}
	else {
		nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	// das Dokument unter dem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	// wenn bundbergreifedes Teilen aktiviert war
	if (bDec == true) {
		// versuchen, das temporre Dokument zu lschen
		try {
			File(tmpPath).remove();
		}
		catch (e) {
		}
	}
}
// wenn Seitenbereiche herausgelst werden sollen ... /////////////////////////////////////////////
else if (rDec == 4) {
	if (pVal4 == "") {
		alert ("Seitenbereiche herauslsen:\n\nDas Eingabefeld ist leer.", "Stop");
		exit();
	}
	var whatKind = 0;
	var startPagesList = new Array ();
	var prePagesList   = new Array ();
	var stopPagesList  = new Array ();
	var spineSpreadInd = new Array ();
	var aftPagesList   = new Array ();
	// Leerschlge entfernen
	var newRange = pVal4.split(" ");
	newRange = newRange.join("");
	// prfen, ob Kommas und/oder Bindestriche enthalten sind
	if (newRange.indexOf("+") != -1) {
		alert ("Absolute Zahlen sind nicht mglich.", "Stop");
		exit();
	}
	if (newRange.indexOf("-") != -1) {
		whatKind = whatKind + 1;
	}
	if (newRange.indexOf(",") != -1) {
		whatKind = whatKind + 2;
	}
	// je nach Art der Kette die Listen erstellen
	if (whatKind == 0) {
		startPagesList.push(newRange);
		stopPagesList.push(newRange);
	}
	else if (whatKind == 1) {
		var newRangeList = newRange.split("-");
		startPagesList.push(newRangeList[0]);
		stopPagesList.push(newRangeList[1]);
	}
	else if (whatKind == 2) {
		var newRangeList = newRange.split(",");
		for (var i=0; i<newRangeList.length; i++) {
			startPagesList.push(newRangeList[i]);
			stopPagesList.push(newRangeList[i]);
		}
	}
	else if (whatKind == 3) {
		var newRangeList = newRange.split(",");
		for (var i=0; i<newRangeList.length; i++) {
			var tmpItem = newRangeList[i];
			if (tmpItem.indexOf("-") != -1) {
				var tmpItemList = tmpItem.split("-");
				startPagesList.push(tmpItemList[0]);
				stopPagesList.push(tmpItemList[1]);
			}
			else {
				startPagesList.push(newRangeList[i]);
				stopPagesList.push(newRangeList[i]);
			}
		}
	}
	
	// prfen, ob die gewnschten Seiten existieren
	var nNum = startPagesList.length;
	var allPageNames = curDoc.pages.everyItem().name;
	for (var i=0; i<nNum; i++) {
		var okay = false;
		var actNum = startPagesList[i];
		for (var k=0; k<allPageNames.length; k++) {
			if (actNum == allPageNames[k]) {
				preNum = k-1;
				okay = true;
				break;
			}
		}
		if (!okay) {
			alert ("Die Seite " + actNum + " ist nicht vorhanden.", "Stop");
			exit();
		}
		// den Seitenindex der Startseiten auflisten
		prePagesList.push(preNum);
		// den Index von bundbergreifenden Objekten auflisten
		if ((curDoc.pages.itemByName(actNum).side)*1 == 1919382632) {
			spineSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		}
	}
	for (var i=0; i<nNum; i++) {
		var okay = false;
		var actNum = stopPagesList[i];
		for (var k=0; k<allPageNames.length; k++) {
			if (actNum == allPageNames[k]) {
				aftNum = k+1;
				okay = true;
				break;
			}
		}
		if (!okay) {
			alert ("Die Seite " + actNum + " ist nicht vorhanden.", "Stop");
			exit();
		}
		// den Seitenindex der Endseiten auflisten
		aftPagesList.push(aftNum);
		// die Indexliste von bundbergreifenden Objekten ergnzen
		if ((curDoc.pages.itemByName(actNum).side)*1 == 1818653800) {
			var isListed = false;
			for (k=0; k<spineSpreadInd.length; k++) {
				if (spineSpreadInd[k] == actNum) {
					isListed = true;
					break;
				}
			}
			if (isListed == false) {
				spineSpreadInd.push(curDoc.pages.item(actNum).parent.index);
			}
		}
	}
	var nParts = allPageNames.length;
	
	// fhrende Null notwendig?
	var zeroPad  = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// die Anzahl Ziffern feststellen
	var pgDigits = ("" + startPagesList[nNum-1]).length;
	var pageOne  = ("0000" + firstPage).slice(-pgDigits);
	
	// Numerierung mit fhrender Null (oder ohne)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}

	if (bDec == true) {
		var fRes = splitFrames(spineSpreadInd, docFol, docName);
		rO = fRes[0];
		tmpPath = fRes[1];
	}
	
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	
	// eine Schleife, welche die verlangten Bereiche herstellt
	for (var i=0; i<nNum; i++) {
		// das temporre oder das Originaldokument ffnen
		if (bDec == true) {
			app.open(File(tmpPath));
		}
		else {
			app.open(File(docPath));
		}
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// Seiten entfernen (vom Ende des aktuellen Abschnitts bis zum Ende des Dokuments)
		try {
			curDoc.pages.itemByRange(aftPagesList[i], nParts-1).remove();
		}
		catch (e) {
		}
		
		// Seiten entfernen (vom Anfang bis zum Beginn des zu erhaltenden Abschnitts)
		try {
			curDoc.pages.itemByRange(0, prePagesList[i]).remove();
		}
		catch (e) {
		}
		// den Abschnittsanfang ndern
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
		
		// Numerierung mit fhrender Null (oder ohne)
		if (zeroPad == "") {
			nbr = (i+1)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
		}
		// wenn Seitennummer ...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// den Pfad vorbereiten
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		if (bDec == true) {
			if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
				delMasterFramesStart();
			}
			var nPg = app.activeDocument.pages.length;
			if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
				delMasterFramesEnd();
			}
			// den Linealursprung wiederherstellen
			if (rO != 1380143984) {
				app.activeDocument.viewPreferences.rulerOrigin = rO;
			}
		}
		// das Dokument unter dem neuen Namen speichern
		app.activeDocument.save(new File(newPath));
		// das Dokument schliessen
		app.activeDocument.close(SaveOptions.no);
	}
	// wenn bundbergreifedes Teilen aktiviert war
	if (bDec == true) {
		// versuchen, das temporre Dokument zu lschen
		try {
			File(tmpPath).remove();
		}
		catch (e) {
		}
	}
}
// vier weitere Trenn-Kriterien ///////////////////////////////////////////////////////////////////
else if (rDec > 4) {
	var topPage = false;
	// wenn ein Absatzformat als Trenn-Kriterium gewhlt ist ... ////////////////////////////////////
	if (rDec == 5) {
		var firstPage = curDoc.pages[0].name;
		var tmpPagesList = new Array ();
		// die Start-Markierungsrahmen aufspren
		var allFrames = curDoc.allPageItems;
		for (var i=0; i<allFrames.length; i++) {
			var curFrame = allFrames[i];
			try {
				if (curFrame == curFrame.startTextFrame) {
					for (j=0; j<5; j++) {
						if (curFrame.texts[0].paragraphs[j].appliedParagraphStyle.name == pName) {
							try {
								curPage = curFrame.parent.name;
								if (curPage != firstPage) {
									tmpPagesList.push(curPage);
								}
								else {
									topPage = true;
								}
							}
							catch (e) {
							}
							break;
						}
					}
				}
			}
			catch (e) {
			}
		}
		// die Lnge der Liste prfen
		if (tmpPagesList.length == 0) {
			if (topPage == true) {
				alert ("Die Absatzformat \"" + pName + "\" ist nur auf der ersten Seite zugewiesen.", "Stop");
			}
			else {
				alert ("Das Absatzformat \"" + pName + "\" ist keinem Rahmen zugewiesen.", "Stop");
			}
			exit();
		}
	}
	// wenn ein Objektstil als Trenn-Kriterium gewhlt ist ... //////////////////////////////////////
	else if (rDec == 6) {
		var firstPage = curDoc.pages[0].name;
		var tmpPagesList = new Array ();
		// die Start-Markierungsrahmen aufspren
		var allFrames = curDoc.allPageItems;
		for (var i=0; i<allFrames.length; i++) {
			if (allFrames[i].appliedObjectStyle.name == oName) {
				try {
					curPage = allFrames[i].parent.name;
					if (curPage != firstPage) {
						tmpPagesList.push(curPage);
					}
					else {
						topPage = true;
					}
				}
				catch (e) {
				}
			}
		}
		// die Lnge der Liste prfen
		if (tmpPagesList.length == 0) {
			if (topPage == true) {
				alert ("Der Objektstil \"" + oName + "\" ist nur auf der ersten Seite zugewiesen.", "Stop");
			}
			else {
				alert ("Der Objektstil \"" + oName + "\" ist keinem Rahmen zugewiesen.", "Stop");
			}
			exit();
		}
	}
	// wenn eine Skriptbezeichnung als Trenn-Kriterium gewhlt ist ... ///////////////////////////////////
	else if (rDec == 7) {
		var firstPage = curDoc.pages[0].name;
		var tmpPagesList = new Array ();
		// die Start-Markierungsrahmen aufspren
		var allFrames = curDoc.allPageItems;
		for (var i=0; i<allFrames.length; i++) {
			var curFrame = allFrames[i];
			if (curFrame.label == pNum7) {
				try {
					curPage = "0";
					var curType = curFrame.parent.constructor.name;
					while (curType != "Page") {
						curFrame = curFrame.parent;
						curType  = curFrame.parent.constructor.name;
					}
					if (curType != "Spread" && curType != "Document") {
						curPage = curFrame.parent.name;
					}
				}
				catch (e) {
				}
				if (curPage != firstPage && curPage != "0") {
					tmpPagesList.push(curPage);
				}
				else {
					topPage = true;
				}
			}
		}
		// die Lnge der Liste prfen
		if (tmpPagesList.length == 0) {
			if (topPage == true) {
				alert ("Die Skriptbezeichnung \"" + pNum7 + "\" ist nur auf der ersten Seite zugewiesen.", "Stop");
			}
			else {
				alert ("Die Skriptbezeichnung \"" + pNum7 + "\" ist keinem Rahmen zugewiesen.", "Stop");
			}
			exit();
		}
	}
	// wenn "erste Rahmen" als Trenn-Kriterium gewhlt ist ... //////////////////////////////////////
	else if (rDec == 8) {
		var firstPage = curDoc.pages[0].name;
		var tmpPagesList = new Array ();
		// die Start-Markierungsrahmen aufspren
		var allStories = curDoc.stories;
		for (var i=0; i<allStories.length; i++) {
			var nFrames = allStories[i].textFrames.length;
			if (nFrames > 1) {
				startPage = allStories[i].textFrames.item(0).parent.name;
				stopPage  = allStories[i].textFrames.item(-1).parent.name;
				if (startPage != stopPage) {
					if (startPage != firstPage) {
						tmpPagesList.push(startPage);
					}
				}
			}
		}
		// die Lnge der Liste prfen
		if (tmpPagesList.length == 0) {
			alert ("Keine seitenbergreifende Stories gefunden.", "Stop");
			exit();
		}
	}
	// die Liste sortieren lassen
	tmpPagesList.sort(numSort);
	// und Duplikate ausschliessen
	var startPagesList = new Array ();
	for (var i=0; i<tmpPagesList.length; i++) {
		var notFound = true;
		for (var j=0; j<startPagesList.length; j++) {
			if (tmpPagesList[i] == startPagesList[j]) {
				notFound = false;
				break;
			}
		}
		if (notFound == true) {
			startPagesList.push(tmpPagesList[i]);
		}
	}
	// prfen, ob die gewnschten Seiten existieren
	var startSpreadInd = new Array ();
	var endSpreadInd   = new Array ();
	var nNum = startPagesList.length;
	var allPageNames   = curDoc.pages.everyItem().name;
	var endPagesList   = new Array ();
	var spineSpreadInd = new Array ();
	for (var i=0; i<nNum; i++) {
		var okay = false;
		var actNum = startPagesList[i];
		for (var k=0; k<allPageNames.length; k++) {
			if (actNum == allPageNames[k]) {
				preNum = allPageNames[k-1];
				okay = true;
				break;
			}
		}
		if (!okay) {
			alert ("Die Seite " + actNum + " ist nicht vorhanden.", "Stop");
			exit();
		}
		// den Druckbogenindex der Startseiten auflisten
		startSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		// die Endseiten auflisten
		endPagesList.push(preNum);
		// den Druckbogenindex der Endseiten auflisten
		try {
			endSpreadInd.push(curDoc.pages.item(preNum).parent.index);
		}
		catch (e) {
		}
		// den Index von bundbergreifenden Objekten auflisten
		if ((curDoc.pages.itemByName(actNum).side)*1 == 1919382632) {
			spineSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		}
	}
	var nParts = startSpreadInd.length;
	
	// fhrende Null notwendig?
	var zeroPad = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// die Anzahl Ziffern feststellen
	var pgDigits = startPagesList[nNum-1].length;
	var pageOne = ("0000" + firstPage).slice(-pgDigits);
	
	// Numerierung mit fhrender Null (oder ohne)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else { // wenn Seitennummer ...
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	if (bDec == true) {
		var fRes = splitFrames(spineSpreadInd, docFol, docName);
		rO = fRes[0];
		tmpPath = fRes[1];
	}
	
	// Druckbgen lschen (vom zweiten Abschnitt bis zum Ende des Dokuments)
	if (startSpreadInd[0] == endSpreadInd[0]) {
		curDoc.spreads.itemByRange(startSpreadInd[0]+1, -1).remove();
		curDoc.pages.itemByName(startPagesList[0]).remove();
	}
	else {
		curDoc.spreads.itemByRange(startSpreadInd[0], -1).remove();
	}
	
	// die Funktion aufrufen, welche bundbergreifende Objekte auf der letzten Seite 
	// (falls es eine linke ist) lscht (diese Objekte werden beim Teilen wieder sichtbar)
	if (bDec == true) {
		var nPg = app.activeDocument.pages.length;
		if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
			delMasterFramesEnd();
		}
	}
	// den Linealursprung wiederherstellen
	if (bDec == true) {
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// das Dokument unter dem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	
	// eine Schleife, welche sich um die nachfolgenden Abschnitte kmmert
	for (var i=0; i<(nParts-1); i++) {
		// das temporre oder das Originaldokument ffnen
		if (bDec == true) {
			app.open(File(tmpPath));
		}
		else {
			app.open(File(docPath));
		}
			
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// Druckbgen entfernen (vom Ende des aktuellen Abschnitts bis zum Ende des Dokuments)
		if (startSpreadInd[i+1] == endSpreadInd[i+1]) {
			curDoc.spreads.itemByRange(startSpreadInd[i+1]+1, -1).remove();
			curDoc.pages.itemByName(startPagesList[i+1]).remove();
		}
		else {
			curDoc.spreads.itemByRange(startSpreadInd[i+1], -1).remove();
		}
		
		// Druckbgen entfernen (vom Anfang bis zum Beginn des zu erhaltenden Abschnitts)
		if (startSpreadInd[i] == endSpreadInd[i]) {
			try {
				curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
			}
			catch (e) {
			}
			curDoc.pages[0].remove();
		}
		else {
			curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
		}
		
		// den Abschnittsanfang ndern
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = true;
		}
		// Numerierung mit fhrender Null (oder ohne)
		if (zeroPad == "") {
			nbr = (i+2)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+2)+(sNbr-1))).slice(-stDigits);
		}
		// wenn Seitennummer ...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// den Pfad vorbereiten
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		// die Funktionen aufrufen, welche bundbergreifende Objekte auf der ersten Seite 
		// (falls es eine rechte ist) und auf der letzten Seite (falls es eine linke ist) lscht 
		// (diese Objekte werden beim Teilen wieder sichtbar)
		if (bDec == true) {
			if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
				delMasterFramesStart();
			}
			var nPg = app.activeDocument.pages.length;
			if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
				delMasterFramesEnd();
			}
			// den Linealursprung wiederherstellen
			if (rO != 1380143984) {
				app.activeDocument.viewPreferences.rulerOrigin = rO;
			}
		}
		// das Dokument unter dem neuen Namen speichern
		app.activeDocument.save(new File(newPath));
		// das Dokument schliessen
		app.activeDocument.close(SaveOptions.no);
	}
	// das Dokument ein letztes Mal ffnen und alle Druckbgen (ausser jene des letzen Abschnittes) entfernen
	if (bDec == true) {
		app.open(File(tmpPath));
	}
	else {
		app.open(File(docPath));
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = false;
	}
	if (startSpreadInd[i] == endSpreadInd[i]) {
		curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
		curDoc.pages[0].remove();
	}
	else {
		curDoc.spreads.itemByRange(0, startSpreadInd[i]-1, -1).remove();
	}
	curDoc.sections[0].continueNumbering = false;
	curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
	if (zeroPad == "") {
		nbr = (i+2)+(sNbr-1);
	}
	else {
		nbr = (zeroPad + ((i+2)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	if (bDec == true) {
		if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
			delMasterFramesStart();
		}
		// den Linealursprung wiederherstellen
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// den Pfad vorbereiten
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = true;
	}
	// das Dokument unter dem neuen Namen speichern
	app.activeDocument.save(new File(newPath));
	// das Dokument schliessen
	app.activeDocument.close(SaveOptions.no);
	// wenn bundbergreifedes Teilen aktiviert war
	if (bDec == true) {
		// versuchen, das temporre Dokument zu lschen
		try {
			File(tmpPath).remove();
		}
		catch (e) {
		}
	}
}
	
// das Anzeigen von Dialogen wieder aktivieren
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

// das Ende der Aktion verknden
alert ("Fertig.", " ");

////////////////////////////// die Funktionen  ////////////////////////////////////////////

// die Funktion, welche die Informationen vorbereitet
function getPrefs() {
	var allPrefs = "";
	// die Datei lesen, welche die gespeicherten Werte enthlt
	if ($.os.slice(0,7) == "Windows") {
		var tempFolder = Folder.temp;
		var f = File(tempFolder + "/DokSplitten216.txt");
	}
	else {
		var f = new File("~/Library/Preferences/DokSplitten216.txt");
	}
	var fileIsOpen = f.open("r");
	if (fileIsOpen) {
		try {
			allPrefs = f.read();
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
	return allPrefs;
}

// den Entscheidungs-Dialog vorbereiten und anzeigen
function askUser1() {
	try {
		app.dialogs.everyItem().destroy();
	}
	catch (e) {
	}
	var labelWidth0 = 16;
	var labelWidth1 =  4;
	var aDialog = app.dialogs.add({name:"Dokument aufsplitten"});
	with (aDialog) {
		with (dialogColumns.add()) {
			with (dialogRows.add()) {
				staticTexts.add({staticLabel:" ", minWidth:labelWidth0});
				staticTexts.add({staticLabel:"Das Trenn-Kriterium whlen:"});
				staticTexts.add({staticLabel:" ", minWidth:labelWidth0});
			}
			with (dialogRows.add()) {
				with (borderPanels.add()) {
					with (dialogColumns.add()) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
							with(refButtons = radiobuttonGroups.add()) {
								radiobuttonControls.add({staticLabel:"Startseiten", checkedState:rb01});
								radiobuttonControls.add({staticLabel:"Anzahl Teildokumente", checkedState:rb02});
								radiobuttonControls.add({staticLabel:"Anzahl Druckbgen pro Teil", checkedState:rb03});
								radiobuttonControls.add({staticLabel:"Jede Seite ein Dokument", checkedState:rb04});
								radiobuttonControls.add({staticLabel:"Seitenbereiche herauslsen", checkedState:rb05});
								radiobuttonControls.add({staticLabel:"Absatzformat (Kapitelanfang)", checkedState:rb06});
								radiobuttonControls.add({staticLabel:"Objektstil", checkedState:rb07});
								radiobuttonControls.add({staticLabel:"Skriptbezeichnung", checkedState:rb08});
								radiobuttonControls.add({staticLabel:"Erster Rahmen jeder Textkette", checkedState:rb09});
							}
						}
					}
				}
			}
		}
	}
	if(aDialog.show() == true) {
		var refDec = refButtons.selectedButton;
		// den Dialog entfernen
		aDialog.destroy();
		// eine erste Prfung
		return refDec;
	}
	else {
		aDialog.destroy();
		exit();
	}
}

// den zweiten Dialog vorbereiten und anzeigen
function askUser2(userDec) {
	var labelWidth0 =  58;
	var labelWidth1 =  68;
	var labelWidth2 =  75;
	var labelWidth3 = 205;
	var labelWidth4 = 215;
	var fieldWidth  = 350;
	var aDialog = app.dialogs.add({name:"Dokument aufsplitten"});
	with (aDialog) {
		with (dialogColumns.add()) {
			if (userDec == 0) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Die Start-Seitennummern eingeben (z.B. 1,5,8,12):"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum0, minWidth:fieldWidth});
				}
			}
			else if (userDec == 1) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Die Anzahl Teildokumente eingeben:"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum1, minWidth:fieldWidth});
				}
			}
			else if (userDec == 2) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Die Anzahl Druckbgen pro Teil eingeben:"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum2, minWidth:fieldWidth});
				}
			}
			else if (userDec == 3) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"[ Jede Seite ein Dokument ]"});
					staticTexts.add({staticLabel:" ", minWidth:labelWidth2});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:" ", minWidth:labelWidth1+10});
					with (numberButtons = radiobuttonGroups.add()) {
						radiobuttonControls.add({staticLabel:"mit ursprnglicher Seitennummer", checkedState:rb10});
						radiobuttonControls.add({staticLabel:"jede Seite mit Nummer 1", checkedState:rb11});
					}
				}
			}
			else if (userDec == 4) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Die Seitenbereiche eingeben (z.B. 1, 2-3, 4-7, 8):"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum4, minWidth:fieldWidth});
				}
			}
			else if (userDec == 5) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Das Trenn-Absatzformat whlen:"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				var paraName = dropdowns.add({stringList:allStyleNames, selectedIndex:sepIndex, minWidth:180});
			}
			else if (userDec == 6) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Den Trenn-Objektstil whlen:"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				var objName = dropdowns.add({stringList:persObjStyles, selectedIndex:objIndex, minWidth:180});
			}
			else if (userDec == 7) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Die Skriptbezeichnung eintippen:"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum7, minWidth:fieldWidth});
				}
			}
			else if (userDec == 8) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"[ Der erste Rahmen jeder Textkette ]"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
			}
			staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
			with (borderPanels.add()) {
				with (dialogColumns.add()) {
					with (dialogRows.add()) {
						staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
						staticTexts.add({staticLabel:"Startnummer der Ordnungszahlen", minWidth:labelWidth1});
						var startNbr = integerEditboxes.add({editValue:stNr, minWidth:36, minimumValue:1, maximumValue:9999});
					}
					with (dialogRows.add()) {
						staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
						var oChk = checkboxControls.add({staticLabel:"Seitennummern statt Ordnungszahlen", checkedState:oSt, minWidth:labelWidth2});
					}
					with (dialogRows.add()) {
						staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
						var bChk = checkboxControls.add({staticLabel:"Bundbergreifende Objekte teilen", checkedState:bSt, minWidth:labelWidth2});
					}
				}
			}
		}
		with (dialogColumns.add()) {
			with (dialogRows.add()) {
				staticTexts.add({staticLabel:" ", minWidth:4});
			}
		}
	}
	if(aDialog.show() == true) {
		var refDec = userDec;
		if (refDec == 0) {
			pNum0 = pagesField.editContents;
		}
		else if (refDec == 1) {
			pNum1 = pagesField.editContents;
		}
		else if (refDec == 2) {
			pNum2 = pagesField.editContents;
		}
		else if (refDec == 3) {
			nrDec = numberButtons.selectedButton;;
		}
		else if (refDec == 4) {
			pNum4 = pagesField.editContents;
		}
		else if (refDec == 5) {
			pName = allStyleNames[paraName.selectedIndex];
		}
		else if (refDec == 6) {
			oName = persObjStyles[objName.selectedIndex];
		}
		else if (refDec == 7) {
			pNum7 = pagesField.editContents;
		}
		var sNbr = startNbr.editValue;
		var oDec = oChk.checkedState;
		var bDec = bChk.checkedState;
		// den Dialog entfernen
		aDialog.destroy();
		// die Liste der Einstellungen ...
		var prefsList = new Array (refDec, pNum0, pNum1, pNum2, pNum4, pName, oName, pNum7, sNbr, oDec, bDec, nrDec);
		// ... in eine Textkette verwandeln ...
		var prefString = prefsList.join("\n");
		// ... zur Funktion schicken, welche sie in eine Datei schreibt ...
		writeResult(prefString);
		// ... und ebenfalls zurck zum Aufruf
		return prefsList;
	}
	else {
		aDialog.destroy();
		exit();
	}
}

// die Eingabe wird geprft
function testEntry(nPages) {
	if (nPages == totPages) {
		alert ("Die Anzahl Dokument-Druckbgen (= " + totPages + ") ist identisch\nmit der gewnschten Anzahl pro Abschnitt (= " + nPages + ")", "Achtung");
		exit();
	}
	if (nPages > totPages) {
		alert ("Die Anzahl Dokument-Druckbgen (= " + totPages + ") ist kleiner als\ndie gewnschte Anzahl pro Abschnitt (= " + nPages + ")", "Achtung");
		exit();
	}
}

// die Funktion, welche Zahlen-Strings sortiert
function numSort(a, b) {
	return a - b;
}

// die Funktion, welche versucht, bundbergreifende Objekte zu teilen
function splitFrames(endSpreadInd, docFol, docName) {
	// den Ursprung der Linealeinheiten auf "Bund" setzen
	var rO = (curDoc.viewPreferences.rulerOrigin)*1;
	if (rO != 1380143984) {
		curDoc.viewPreferences.rulerOrigin = RulerOrigin.spineOrigin;
	}
	
	// die Sperrung der Ebenen speichern und aufheben (falls notwendig)
	var allLayers = curDoc.layers;
	var nLayers = allLayers.length;
	var layerLocks = new Array ();
	for (var i=0; i<nLayers; i++) {
		if (allLayers[i].locked == true) {
			allLayers[i].locked = false;
			layerLocks.push(true);
		}
		else {
			layerLocks.push(false);
		}
	}
	
	// eine Schleife durch die Druckbogen
	for (var i=0; i<endSpreadInd.length; i++) {
		var masterItems = curDoc.spreads[endSpreadInd[i]].appliedMaster.pageItems;
		for (var k=0; k<masterItems.length; k++) {
			var curItem = masterItems[k];
			var vB = curItem.visibleBounds;
			if (vB[1] < 0 && vB[3] > 0) {
				if ((vB[1]-(vB[1]*2)) >= vB[3]) {
					try {
						curItem.override(curDoc.spreads[endSpreadInd[i]].pages[0]);
					}
					catch (e) {
					}
				}
				else {
					try {
						curItem.override(curDoc.spreads[endSpreadInd[i]].pages[1]);
					}
					catch (e) {
					}
				}
			}
		}
		var allItems = curDoc.spreads[endSpreadInd[i]].allPageItems;
		for (var k=allItems.length-1; k>-1; k--) {
			var curItem = allItems[k];
			var curType = curItem.constructor.name;
			if (curType != "Image" && curType != "Group") {
				var rA = curItem.rotationAngle;
				if (rA%90 == 0) {
					var sW = curItem.strokeWeight;
					var isLocked = false;
					if (curItem.locked == true) {
						curItem.locked = false;
						isLocked = true;
					}
					var vB = curItem.visibleBounds;
					if (vB[1] < 0 && vB[3] > 0) {
						try {
							newItem = curItem.duplicate();
							newItem.visibleBounds = [vB[0], 0, vB[2], vB[3]];
							curItem.visibleBounds = [vB[0], vB[1], vB[2], 0];
							if (sW != 0 && curType != "GraphicLine") {
								// Kontur nach innen ausrichten 
								curItem.strokeAlignment = StrokeAlignment.insideAlignment;
								newItem.strokeAlignment = StrokeAlignment.insideAlignment;
								// den Pfad ffnen und die Pfadpunkte setzen
								curItem.paths[0].properties = {pathType:PathType.OPEN_PATH};
								curItem.paths[0].entirePath = [[0, vB[2]], [vB[1], vB[2]], [vB[1], vB[0]], [0, vB[0]]];
								newItem.paths[0].properties = {pathType:PathType.OPEN_PATH};
								newItem.paths[0].entirePath = [[0, vB[0]], [vB[3], vB[0]], [vB[3], vB[2]], [0, vB[2]]];
							}
							if (isLocked) {
								curItem.locked = true;
								newItem.locked = true;
							}
						}
						catch (e) {
						}
					}
				}
			}
		}
	}
	// das Dokument unter dem neuen Namen speichern
	var tmpPath = docFol + "/" + docName + "_tmp.indd";
	app.activeDocument.save(new File(tmpPath));
	return [rO, tmpPath];
}

// bundbergreifende Musterrahmen auf rechten Seiten lschen
function delMasterFramesStart() {
	try {
		var masterItems = app.activeDocument.spreads[0].appliedMaster.pageItems;
		for (var k=(masterItems.length)-1; k>-1; k--) {
			var curItem = masterItems[k];
			var vB = curItem.visibleBounds;
			if (vB[1] < 0 && vB[3] > 0) {
				try {
					tmpItem = curItem.override(app.activeDocument.spreads[0].pages[0]);
					tmpItem.remove();
				}
				catch (e) {
				}
			}
		}
	}
	catch (e) {
	}
}

// bundbergreifende Musterrahmen auf linken Seiten lschen
function delMasterFramesEnd() {
	nSpreads = app.activeDocument.spreads.length;
	try {
		var masterItems = app.activeDocument.spreads[nSpreads-1].appliedMaster.pageItems;
		for (var k=(masterItems.length)-1; k>-1; k--) {
			var curItem = masterItems[k];
			var vB = curItem.visibleBounds;
			if (vB[1] < 0 && vB[3] > 0) {
				try {
					tmpItem = curItem.override(app.activeDocument.spreads[nSpreads-1].pages[0]);
					tmpItem.remove();
				}
				catch (e) {
				}
			}
		}
	}
	catch (e) {
	}
}

// das Ergebnis in eine Datei schreiben
function writeResult(curPrefs) {
	if ($.os.slice(0,7) == "Windows") {
		var tempFolder = Folder.temp;
		var f = File(tempFolder + "/DokSplitten216.txt");
	}
	else {
		var f = new File("~/Library/Preferences/DokSplitten216.txt");
	}
	var fileIsOpen = f.open("w");
	if (fileIsOpen) {
		try {
			f.write(curPrefs);
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
}